libxplc0.3.13_0.3.13-5_amd64.deb


Advertisement

Description

libxplc0.3.13 - Light weight component system

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libxplc0.3.13_0.3.13-5_amd64.deb
Package name libxplc0.3.13
Package version 0.3.13
Package release 5
Package architecture amd64
Package type deb
Category libs
Homepage http://xplc.sourceforge.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 17.71 KB
Installed size 103.00 KB
XPLC ("Cross-Platform Lightweight Components") is a component system that
will provide extensibility and reusability both inside and between
applications, while being portable across platforms (and languages) and
having the lowest possible overhead (both in machine resources and
programming effort).

Alternatives

Package Version Architecture Repository
libxplc0.3.13_0.3.13-5_i386.deb 0.3.13 i386 Ubuntu Main
libxplc0.3.13 - - -

Requires

Name Value
libc6 >= 2.4
libstdc++6 >= 4.1.1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libxplc0.3.13_0.3.13-5_amd64.deb
Source Package xplc

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxplc0.3.13 deb package:
    # sudo apt-get install libxplc0.3.13

Files

Path
/usr/lib/libxplc.so.0.3.13
/usr/lib/libxplc.so.0.3.13-unstable
/usr/share/doc/libxplc0.3.13/NEWS.gz
/usr/share/doc/libxplc0.3.13/README
/usr/share/doc/libxplc0.3.13/TODO
/usr/share/doc/libxplc0.3.13/changelog.Debian.gz
/usr/share/doc/libxplc0.3.13/copyright

Changelog

2014-09-19 - Ralf Treinen <treinen@debian.org>
xplc (0.3.13-5) unstable; urgency=low
* QA upload
* run dh-autoreconf to update for new architectures (Closes: #759439)
- debian/control: add build-dependency on dh-autoreconf
- debian/rules: include autoreconf.mk 
2013-05-13 - Barry deFreese <bdefreese@debian.org>
xplc (0.3.13-4) unstable; urgency=low
* QA upload.
* Change to source 3.0 (quilt) format.
* Fix FTBFS on GNU/Hurd. (Closes: #671384, #686267).
- Thanks to Svante Signell and Cyril Roelandt for the patches.
* Support --as-needed. (Closes: #606835).
- Thanks to Stefan Potyra for the patch.
2010-08-12 - Ralf Treinen <treinen@debian.org>
xplc (0.3.13-3) unstable; urgency=low
* QA upload
* Build with -fno-strict-aliasing all the time to work around an aliasing
bug. Patch taken from ubuntu, see launchpad bug#437726. Thanks a lot
to Michael Hope for the hint (closes: #513512).
2009-01-29 - Barry deFreese <bdefreese@debian.org>
xplc (0.3.13-2) unstable; urgency=low
* QA upload.
+ Set maintainer to Debian QA Group <packages@qa.debian.org>.
+ Remove current maintainer. (Closes: #487141).
* Add Homepage field.
* Add ${misc:Depends}.
* Update ${Source-Version} to ${binary:Version}.
* Add watch file.
* Convert debian/copyright to UTF-8.
* Bump debhelper build-dep to 5.
* Bump Standards Version to 3.8.0.
2005-10-21 - Simon Law <sfllaw@debian.org>
xplc (0.3.13-1) unstable; urgency=low
* New upstream release.
- Includes /usr/bin/uuidcdef.  (Closes: Bug#310755)
* Built for G++ 4.0.
2005-03-22 - James Morrison <phython@debian.org>
xplc (0.3.11-1) unstable; urgency=low
* New Upstream release. (Closes: #286505)
* Acknowledge NMU. (Closes: #290424)
2005-01-18 - Steve Langasek <vorlon@debian.org>
xplc (0.3.10-3.1) unstable; urgency=low
* Non-maintainer upload.
* Fix for int size issues that break building on 64-bit platforms; not
release-critical for this package, but is holding up RC bugfixes for
packages that reverse-depend on xplc.  Thanks to Kurt Roeckx for the
patch.  (Closes: #286505)
* Invoke ldconfig as /sbin/ldconfig, fixing build failures when /sbin
is not part of the path (as is the case on many third-party build
systems).  Closes: #290424
2004-12-02 - Simon Law <sfllaw@debian.org>
xplc (0.3.10-3) unstable; urgency=low
* Add a Build-Depends for debhelper, which I though cdbs pulled in
automatically.  (Closes: Bug#283884)
2004-10-07 - Simon Law <sfllaw@debian.org>
xplc (0.3.10-2) unstable; urgency=low
* Install examples into libxplc-dev.
2004-10-04 - Simon Law <sfllaw@debian.org>
xplc (0.3.10-1) unstable; urgency=low
* New upstream release.  (Closes: Bug#281786)
* New maintainer.
* Renamed libxplc and libxplc-dev to reflect that they have unstable
API and ABIs.

See Also

Package Description
libxpm-dev_3.5.11-1_amd64.deb X11 pixmap library (development headers)
libxpm4_3.5.11-1_amd64.deb X11 pixmap library
libxrandr-dev_1.5.0-1_amd64.deb X11 RandR extension library (development headers)
libxrandr2_1.5.0-1_amd64.deb X11 RandR extension library
libxrender-dev_0.9.9-0ubuntu1_amd64.deb X Rendering Extension client library (development files)
libxrender1_0.9.9-0ubuntu1_amd64.deb X Rendering Extension client library
libxres-dev_1.0.7-1_amd64.deb X11 Resource extension library (development headers)
libxres1_1.0.7-1_amd64.deb X11 Resource extension library
libxshmfence-dev_1.2-1_amd64.deb X shared memory fences - development files
libxshmfence1_1.2-1_amd64.deb X shared memory fences - shared library
libxslt1-dev_1.1.28-2.1_amd64.deb XSLT 1.0 processing library - development kit
libxslt1.1_1.1.28-2.1_amd64.deb XSLT 1.0 processing library - runtime library
libxss-dev_1.2.2-1_amd64.deb X11 Screen Saver extension library (development headers)
libxss1_1.2.2-1_amd64.deb X11 Screen Saver extension library
libxt-dev_1.1.5-0ubuntu1_amd64.deb X11 toolkit intrinsics library (development headers)
Advertisement
Advertisement